=== modified file 'bzrlib/globbing.py'
--- bzrlib/globbing.py	2010-01-02 23:09:23 +0000
+++ bzrlib/globbing.py	2010-01-02 23:33:47 +0000
@@ -216,7 +216,13 @@
         return None
 
 class ExcludingGlobster(object):
-    """A Globster that supports exclusion patterns."""
+    """A Globster that supports exclusion patterns.
+    
+    These are ignore patterns prefixed with '!'.  Exclusion
+    patterns take precedence over regular patterns and negate the
+    normal matching logic, causing a matching filename to return
+    None from the match() function.
+    """
     
     def __init__(self,patterns):
         ignores = []
@@ -267,7 +273,6 @@
 
     Doesn't normalize regular expressions - they may contain escapes.
     """
-
     if not (pattern.startswith('RE:') or pattern.startswith('!RE:')):
         pattern = _slashes.sub('/', pattern)
     if len(pattern) > 1:

